#ifndef GUI_HEADER
#define GUI_HEADER
#include "emubase.h"

extern int selected;

void setupGUI(void);
int getinput(void);
int getmenuinput(int menuitems);
int getmenupos(int keyhit, int sel, int menuitems);
int getMenuTouch(int* keyhit, int sel, int menuitems);
int drawfilelist(const char * dtable, int sel, int items);
void drawtext(const char *str,int row,int hilite);
void drawbtext(const char *str,int row,int shadow);
void strmerge(char *dst,const char *src1,const char *src2);
void drawSubItem(const char *str1,const char *str2);
void drawMenuItem(const char *str1);
void drawItem(const char *str, int col, int row, int pal);
void drawItemBackground(const char *str, int row, int sub);
void drawTabs();
void nullUI(void);
void subUI(void);
void uiDummy(void);
void zipTest(void);
void changeUI(int UInr);
void ejectGame(void);
void powerOnOff(void);
void resetGame(void);


void autoBSet(void);
void autoASet(void);
void controllerSet(void);
void swapABSet(void);
void rstartset(void);
void selectset(void);

void scalingSet(void);
void flickSet(void);
void borderSet(void);
void spriteSet(void);
void brightSet(void);
void bgrlayerSet(void);
void sprlayerSet(void);

void speedSet(void);
void fpsSet(void);
void sleepSet(void);
void autostateSet(void);
void autopauseGameSet(void);
void powerSaveSet(void);
void screenSwapSet(void);


void collisionset(void);
void countryset(void);
void machineset(void);
void biosset(void);

void uiNull(void);
void uiFile(void);
void uiSettings(void);
void uiAbout(void);
void uiOptions(void);
void uiController(void);
void uiDisplay(void);
void uiEmulation(void);
void uiMachine(void);
void uiSettings(void);
void uiBios(void);

void ui0(void);
void ui1(void);
void ui2(void);
void ui3(void);
void ui4(void);
void ui5(void);
void ui6(void);
void ui7(void);
void ui8(void);

void cls(int chrmap);

#endif