

#define DEBUGSCREEN		0x06001000

//-----------------------------------------------------------machine
#define HW_AUTO			0
#define HW_SG1000		1
#define HW_SMS1			2
#define HW_SMS2			3
#define HW_GG			4
#define HW_MD			5
//-----------------------------------------------------------region
#define REGION_AUTO		0
#define REGION_US		1
#define REGION_PAL		2
#define REGION_JAPAN	3
//-----------------------------------------------------------vdp modes
#define VDPMODE_0		0x00
#define VDPMODE_1		0x01
#define VDPMODE_2		0x02
#define VDPMODE_3		0x03
#define VDPMODE_4		0x04
#define VDPMODE_4_224	0x14
#define VDPMODE_4_240	0x24
#define VDPMODE_5		0x05
#define VDPMODE_5_224	0x15
#define VDPMODE_5_240	0x25
#define VDPMODE_B		0xFF
//-----------------------------------------------------------cartflags
//#define SRAM			0x02	// save SRAM
//-----------------------------------------------------------emuflags
#define PALTIMING		0x01	// 0=NTSC 1=PAL timing
#define COUNTRY			0x02	// 0=Export 1=JAP
#define GG_MODE			0x04	// 0=SMS mode, 1=GG mode
#define SG_MODE			0x08	// 0=SMS mode, 1=SG mode
#define MD_MODE			0x10	// 0=SMS mode, 1=MD mode
#define SGAC_MODE		0x20	// 0=SMS mode, 1=SGAC mode
//?				EQU 16
#define FOLLOWMEM		0x40  	// 0=follow sprite, 1=follow mem


#define SCALED_1_1		0		// display types
#define SCALED_FIT		1
#define SCALED_ASPECT	2
